COL_HSB_SLICE_TO_RGB_ARRAY(3)

FUNCTION
col_hsb_slice_to_rgb_array - Generate a table of RGB values from a slice of HSB space.

SYNOPSIS
#include <karma_col.h>

void col_hsb_slice_to_rgb_array

(unsigned long rgb_array[65536], unsigned long red_mask, unsigned long green_mask, unsigned long blue_mask, float min_brightness, float max_brightness, float start_hue, float stop_hue, float saturation)

DESCRIPTION
This routine will convert a slice in HSB (Hue, Saturation and Brightness) colour space to a 2-dimensional array of RGB (Red, Green and Blue) values. The HSB slice covers a range of hue and brightness at a fixed satutation.

rgb_array
    The 256*256 array of RGB values will be written here. The upper dimension will map to brightness and the lower dimension will map to hue.

red_mask
    The bitmask used when writing the red colour component.

green_mask
    The bitmask used when writing the green colour component.

blue_mask
    The bitmask used when writing the blue colour component.

min_brightness
    The minimum brightness. The valid range is 0.0 to 1.0

max_brightness
    The maximum brightness. The valid range is 0.0 to 1.0

start_hue
    The start hue. The valid range is 0.0 to just under 6.0

stop_hue
    The end hue. The valid range is 0.0 to just under 6.0

saturation
    The saturation value. The valid range is 0.0 to 1.0

RETURN VALUE
Nothing.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/